<ng-container *transloco="let t;">
  <div class="edit-contact-container mat-typography">
    <h1
      mat-dialog-title
      class="primary-title">
      {{t('profile_forms.edit_contact_data')}}
    </h1>
    <form
      class="content-container"
      [formGroup]="contactForm"
      (ngSubmit)="onSubmit()">
      <div class="content-container">
        <h2 class="row-container headline">{{t('profile.address')}}</h2>
        <div class="row-container">
          <mat-form-field class="street-name">
            <mat-label>{{t('profile_forms.street_name')}}</mat-label>
            <input
              type="text"
              matInput
              formControlName="street_name">
            <mat-error *ngIf="streetName.hasError('required')">
              {{t('profile_forms.street_name')}}{{t('profile_forms.required')}}
            </mat-error>
            <mat-error *ngIf="streetName.hasError('maxlength')">
              {{t('profile_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
          </mat-form-field>
          <mat-form-field class="street-number">
            <mat-label>{{t('profile_forms.street_number')}}</mat-label>
            <input
              type="text"
              matInput
              formControlName="street_number">
            <mat-error *ngIf="streetNumber.hasError('required')">
              {{t('profile_forms.street_number')}}{{t('profile_forms.required')}}
            </mat-error>
            <mat-error *ngIf="streetNumber.hasError('maxLength')">
              {{t('profile_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
          </mat-form-field>
        </div>
        <div class="row-container">
          <mat-form-field class="zip-code">
            <mat-label>{{t('profile_forms.zip_code')}}</mat-label>
            <input
              type="text"
              matInput
              formControlName="zip_code">
            <mat-error *ngIf="zipCode.hasError('required')">
              {{t('profile_forms.zip_code')}}{{t('profile_forms.required')}}
            </mat-error>
            <mat-error *ngIf="zipCode.hasError('maxLength')">
              {{t('profile_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
            <mat-error *ngIf="zipCode.hasError('pattern')">{{t('profile_forms.zip_code_pattern')}}</mat-error>
          </mat-form-field>
          <mat-form-field class="place-name">
            <mat-label>{{t('profile_forms.place_name')}}</mat-label>
            <input
              type="text"
              matInput
              formControlName="place_name">
            <mat-error *ngIf="placeName.hasError('required')">
              {{t('profile_forms.place_name')}}{{t('profile_forms.required')}}
            </mat-error>
            <mat-error *ngIf="placeName.hasError('maxlength')">
              {{t('profile_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
          </mat-form-field>
        </div>
        <div class="row-container">
          <mat-form-field class="grow-one">
            <mat-label>{{t('profile.region')}}</mat-label>
            <mat-select formControlName="country_code">
              <mat-option
                *ngFor="let country of data.countries"
                [value]="country.country_code">
                {{country.translated_names| country}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="countryCode.hasError('required')">
              {{t('profile.region')}}{{t('profile_forms.required')}}
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="content-container">
        <h2 class="row-container headline">
          {{t('profile_forms.contact_possibilities')}}
        </h2>
        <div class="row-container">
          <mat-form-field class="grow-one">
            <mat-label>{{t('profile.phone_number')}}</mat-label>
            <input
              type="tel"
              matInput
              formControlName="phone_number">
            <mat-error *ngIf="phoneNumber.hasError('maxLength')">
              {{t('profile_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
            <mat-error *ngIf="phoneNumber.hasError('pattern')">
              {{t('profile_forms.phone_number_pattern')}}
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <mat-divider></mat-divider>
      <div class="button-container">
        <button
          mat-stroked-button
          color="warn"
          class="round-button stroked-button-border-color"
          [mat-dialog-close]="undefined">
          {{t('profile_forms.cancel')}}
        </button>
        <button
          mat-flat-button
          class="round-button"
          color="primary"
          type="submit"
          [disabled]="contactForm.invalid">
          {{t('profile_forms.save')}}
        </button>
      </div>
    </form>
  </div>
</ng-container>
